/* Utilidades */
.brand-color-principal {
  color: #1f2aa5;
}

.brand-color-secundario {
  /* color: #6b9b3b; Logo Serinsa */
  color: #28a745;
}

.text-drop-shadow {
  filter: drop-shadow(0 3px 8px rgba(0,0,0,0.12));
}

/* Estilos Globales */
body {
  font-family: "Roboto", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  margin: 0;
  padding: 0;
}

/* Inicio Pagina */

.logo {
  width: 200px;
  padding: 2rem;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
}

.fondo-img {
  position: relative;
  min-height: 100vh;
  background-image: url("assets/images/canvas.png");
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

/* Bloque de Seccion Flotante de Contenido Principal */

.actualizacion-container {
  position: absolute;
  inset: 0;

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  text-align: center;
  z-index: 1;
}

/* Bloque de Seccion de Canales de Comunicacion */
.social-container {
  position: absolute;
  margin-bottom: 64px;
  bottom: 0;
}

.canales-container {
  display: grid;
  grid-template-columns: repeat(3, 150px);

  /* Center items inside each cell */
  justify-content: center;
  justify-items: center;
  align-items: center;
}

.social-button {
  width: 60px;
  height: 60px;

  display: flex;
  justify-content: center;
  align-items: center;

  img {
    max-width: 100%;
    height: auto;

    transform: scale(1);
    transition: transform 0.15s ease-in-out;
  }

  img:hover {
    transform: scale(1.05);
  }
}
